<div [ngClass]="className.modal">
  <div [ngClass]="className.dialog">
    <div [ngClass]="className.content">
      <div
        #modalHeader
        [ngClass]="className.header"
      >
        <ng-content select="header"></ng-content>
      </div>
      <div [ngClass]="className.body">
        <ng-content select="body"></ng-content>
      </div>
      <div
        #modalFooter
        [ngClass]="className.footer"
      >
        <ng-content select="footer"></ng-content>
      </div>
    </div>
  </div>
</div>
<div [ngClass]="className.background"></div>
